webdevqa.jp.net

OS Xにmatplotlibをインストールする方法

OS Xにmatplotlibをインストールします。可能であれば、homebrewを使用します。

インストールしましたPython 2.7.1 brew install pythonを使用して、パスを変更して使用しました
brew install pipを使用してpipをインストールしました
pip install numpyを使用してnumpy 1.5.1をインストールしました
pip install scipyを使用してscipy 0.8.0をインストールしました

これは毛むくじゃらになる場所です。 pip install matplotlib間違ったバージョンのmatplotlibをフェッチ します。これは、最新バージョンのnumpyと互換性がありません。

解決策は、正しいバージョンのmatplotlibを手動でフェッチすることです。

pip install -f http://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-1.0.1/matplotlib-1.0.1.tar.gz matplotlib

しかし、freetypeヘッダーが見つからないため、そのバージョンはコンパイルに失敗します。

Src/ft2font.cpp:1からインクルードされたファイル:
src/ft2font.h:14:22:error:ft2build.h:No such file or directory

これらのヘッダーは、実際には/usr/X11/includeにX11開発者ツールの一部としてインストールされています。

では、matplotlibでこれらのヘッダーを使用するにはどうすればよいですか?

19
bastibe

簡単な答えは:pkg-infoインストール済み、またはsetup.pyはインストールされたライブラリを見つけることができません。

12
bastibe

問題は、C拡張機能がコンパイルされたときに、必要なヘッダーファイルが検索パスに含まれず、リンクされている場合、共有ライブラリも検索パスに含まれないことです。

以下は私のために働きました:

export LDFLAGS="-L/usr/X11/lib"
export CFLAGS="-I/usr/X11/include -I/usr/X11/include/freetype2 -I/usr/X11/include/libpng12"
pip install matplotlib-1.0.1.tar.gz
18
bradley.ayers

答えは、freetypeライブラリがないことです。単にそれを醸造するだけです:

brew install freetype
3
Zhengyang Liu

あるいは、 MacPorts または Fink を使用できます。 MacPortsではこれは

Sudo port install py27-matplotlib

依存関係を自動的に解決します。

個人的にはMacportsを使用してpython2.7とmatplotlibをインストールしましたが、10.7では問題なく動作するようです。 Finkは内部をアップグレードして、新しい10.7ビルドシステムで動作するようにしています。

3
Tim

私はこれに従いました ページの指示 。行き詰まった

pip install -e git+https://github.com/matplotlib/matplotlib#Egg=matplotlib-dev

それから私はしました:

git clone https://github.com/matplotlib/matplotlib.git
cd matplotlib
python setup.py build
python setup.py install

端末を入力してインストールを確認しました:

python
import matplotlib
print matplotlib.__version__
print matplotlib.__file__

(この記事の執筆時点で)バージョン1.1.0とパス/ usr/local/Cellar/...を取得しました.

3
David Xia

oS X 10.10.3では、このコマンドで修正しました

brew install freetype libpng pkg-config

pkg-configが問題を修正しました!

読んだ後 この問題 なんとか修正しました

1
llazzaro

Macportsを使用して同じ問題。で修正:

Sudo port install pkgconfig

上記の醸造用にnoioが提案したとおり。

1
Sam Inverso

最近、最も簡単な方法はおそらくconda install matplotlib、連続体分析によるcondaパッケージマネージャーの使用。

完全なAnacondaディストリビューションを使用しなくても、condaをインストールして使用できることに注意してください。ただpip install condaconda init、そしてあなたは行ってもいいです。

0
bastibe

私はこれがOS X 10.8.3で問題なく動作することを発見しました http://penandpants.com/install-python/

0
Jon Kern

私はこれと同じ返事を書いた here が、この議論にはいくらか興味があると思う。

https://github.com/matplotlib/matplotlib/pull/371 を読んで、OSX 10.10にmatplotlibをインストールする必要があります。
これは、pipユーザー向けのソリューションではありません。修正を待っている私のmacにmatplotlibをインストールする方法です。

Matplotlib 1.4.2のソースをダウンロードしました、
https://github.com/matplotlib/matplotlib/pull/3713/files の説明に従って、setupext.pyの960行目を変更しました:

'freetype2', 'ft2build.h',

になった

'freetype2', 'freetype2/ft2build.h'

次にコンパイルしてインストールします:

python setup.py build
python setup.py install
0
karlacio